<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- electronics-001 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;background-image: url('images/body_bg.gif');background-repeat: repeat;">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url('images/body_bg.gif');">
  <tr>
    <td height="53" style="background-image: url('images/menu_bg2.gif');background-repeat: repeat;">
	<table width="100%" height="53" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" style="background-image: url('images/menu_bg.gif');background-repeat: repeat-y;padding-left:155px;" >
		<table width="98%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><!-- MENU -->
          <table height="53" align="center" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
			  </tr>
          </table>
          <!-- END MENU --></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="259" style="background-image: url('images/header_bg.gif');background-repeat: repeat;">
	<table width="100%" height="259" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="right" valign="top" style="background-image: url('images/header.jpg');background-repeat: no-repeat;padding-right:30px;padding-top:40px;">
		<!-- LOGO -->
		<table width="400" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="40" align="right" valign="bottom" class="logoword"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
            <td rowspan="2" valign="middle" class="logo"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
          </tr>
          <tr>
            <td height="40" align="right" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
            </tr>
        </table><!-- END LOGO --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" ><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
      <tr>
        <td width="278" valign="top" >
		<table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/submenu_topbg.gif');background-position: top; background-repeat: no-repeat;">
          <tr>
            <td style="padding-top:60px;">
			<table width="100%" border="0" cellspacing="0" cellpadding="0" >
              <tr>
                <td align="center"><!-- SUBMENU -->
				<table cellpadding="0" cellspacing="0" width="146" align="center">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table><!-- END SUBMENU -->
                <div style="height:25px;width:px;"></div></td>
              </tr>
            </table></td>
          </tr>
        </table>
		<img src="images/blank.gif" width="278" height="1"/>
		</td>
        <td width="100%" height="100%" valign="top" bgcolor="#B6AC97" style="background-image: url('images/txt_botbg.gif'); background-position: left bottom; background-repeat: repeat-x;">
		<table width="100%" height="34" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/txtheader_bg2.gif');background-repeat: repeat;">
      <tr>
        <td style="background-image: url('images/txtheader_bg.gif');background-repeat: no-repeat;padding-left:30px;"><!-- CONTENT -->
		<table cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
            <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
          </tr>
        </table></td>
      </tr>
    </table>
          <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="padding:25px;">
            <tr>
              <td  width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
			  <xsl:apply-templates select="PAGE-CONTENT"/>
			   <!-- END CONTENT --></td>
            </tr>
          </table>
		  <img src="images/blank.gif" width="502" height="1"/>
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="77" align="center" style="background-image: url('images/footer_bg.gif');background-repeat: repeat;">
	<div style="width:780px; height:3px;"><span></span></div>
      <!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
							  <td><div style="width:5px; height:0px;"><span></span></div></td>
<xsl:call-template name="BOTTOM-MENU"/>
							  <td><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
	  </table>
						<!-- END BOOTTOM MENU -->
						<div style="width:780px; height:1px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER --></td>
  </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="submenua" style="width: 100%;font-weight:bold"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td align="right" class="iconleft"><img src="images/submenu_bullet.gif" alt=""/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td style="width: 100%;font-weight:bold"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td align="right" class="iconleft"><img src="images/submenu_bullet.gif" alt="" border="0"/></td>
</tr>			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif');background-repeat: repeat-x;"></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td style="padding:5px"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		</xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td style="padding:5px"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td></td>
<td class="iconfoot"><img src="images/bmenu_bullet.gif" alt="" /></td>
<td></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
